waarschuwing voor macos catalina legacy-systeemextensie

Apple heeft een nieuw ondersteuningsdocument gedeeld waarin wordt aangegeven dat kernelextensies die het “oude systeemextensies” noemt, niet compatibel zullen zijn met een toekomstige versie van macOS omdat ze “niet zo veilig of betrouwbaar zijn als moderne alternatieven”.

Systeemextensies zijn een categorie software die op de achtergrond werkt om de functionaliteit van uw Mac uit te breiden. Sommige apps installeren kernelextensies, een soort systeemextensie die werkt met oudere methoden die niet zo veilig of betrouwbaar zijn als moderne alternatieven. Uw Mac identificeert deze als verouderde systeemextensies.

Vanaf macOS 10.15.4, dat deze week is uitgebracht, verschijnt er nu een waarschuwing wanneer een kernelextensie voor het eerst wordt geladen, en opnieuw periodiek zolang de extensie in gebruik blijft. Gebruikers begonnen de waarschuwing op te merken tijdens bètatests.


Apple zegt dat het ontwikkelaars begon te informeren dat macOS Catalina de laatste macOS zal zijn die kernelextensies in 2019 volledig ondersteunt, eraan toevoegend dat het met ontwikkelaars heeft gewerkt om hun software over te zetten. Een definitieve overgangsdatum is nog niet vastgesteld, maar sommige ontwikkelaars gaan ervan uit dat kernelextensies in macOS 10.16 zullen worden afgeschaft.

Apps met kernelextensies blijven werken in macOS Catalina.

“Door verder te gaan dan deze extensies, helpen ontwikkelaars de Mac verder te moderniseren, de veiligheid en betrouwbaarheid te verbeteren en gebruiksvriendelijkere softwaredistributiemethoden mogelijk te maken”, luidt het ondersteuningsdocument.

Een getroffen app is Malwarebytes, die zei dat “een aanzienlijk percentage van ons totale ondersteuningsvolume” gerelateerd was aan de nieuwe kernelextensie-waarschuwing minder dan 24 uur na de openbare release van macOS 10.15.4.

Malwarebytes-directeur Thomas Reed zei dat Apple een nieuw EndpointSecurity-framework heeft als vervanging voor kernelextensies:

We zijn ons hiervan bewust en werken sinds eind vorig jaar aan het vervangen van onze kernelextensie. We zijn van plan het te vervangen door Apple’s nieuwe EndpointSecurity-framework vóór de release van macOS 10.16, wanneer wordt aangenomen dat kernelextensies niet langer, geheel of gedeeltelijk, zullen werken. (We weten alleen dat Apple heeft gezegd dat ze “niet zullen werken zonder compromissen” in “een toekomstige versie van macOS.” Maar we willen er liever niet op de harde manier achter komen wat dat precies betekent.)

De kernelextensie wordt nog steeds ondersteund voor macOS 10.14 (Mojave) en eerder, maar macOS 10.15 (en later) heeft deze niet langer nodig zodra er een update beschikbaar is.

Geen paniek dus. We staan ​​nog steeds achter je en laten je bescherming niet wankelen. Het enige dat u hoeft te doen, is ervoor zorgen dat u Malwarebytes voor Mac up-to-date houdt. Als u hebt bijgewerkt naar ten minste versie 4.2 en de nieuwe functie voor automatisch bijwerken niet hebt uitgeschakeld, wordt deze automatisch op de achtergrond bijgewerkt zonder dat u iets hoeft te doen. Om er zeker van te zijn dat u up-to-date bent, opent u Malwarebytes en kiest u Controleren op updates in het Malwarebytes-menu.

Technische details voor ontwikkelaars zijn beschikbaar in een Apple-document met de titel “Deprecated Kernel Extensions and System Extension Alternatives”.

SharePlay, ProRes video, Auto Macro toggle, Lossless en Dolby Atmos Spatial Audio voor 孒omePod? en meer.

Met SharePlay kunt u uw scherm met anderen delen. Zo deel je je scherm via FaceTime.

Nieuw high-end model zal van Intel naar Apple silicium gaan.

Er wordt gezegd dat Apple Augmented Reality-brillen in de komende jaren zullen verschijnen. Dit is wat we tot nu toe weten.

By Admin

Leave a Reply

Your email address will not be published. Required fields are marked *